Origin: upstream, https://github.com/crossbario/zlmdb/commit/345be09ed51eccb8cca4c635f08009a351daa903
From: bgermann <bgermann@users.noreply.github.com>
Date: Wed, 26 Oct 2022 16:07:35 +0200
Subject: Make sure PyYAML 6 can be used (#61)

PyYAML 6.0's changelog says:
"always require Loader arg to `yaml.load()"

Use the safe_load() function instead.

Link: https://github.com/yaml/pyyaml/releases/tag/6.0
---
 zlmdb/_database.py | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/zlmdb/_database.py b/zlmdb/_database.py
index a2183a9..201d2a5 100644
--- a/zlmdb/_database.py
+++ b/zlmdb/_database.py
@@ -236,7 +236,7 @@ def __iter__(self):
     @staticmethod
     def parse(filename, klassmap=KV_TYPE_TO_CLASS):
         with open(filename) as f:
-            _meta = yaml.load(f.read())
+            _meta = yaml.safe_load(f.read())
 
             meta = {}
             slots = {}
